(*
    Project: Component Pascal command-line compiler
    Organization: Oberon Revival team
    License: BSD style license
    References: http://oberonrevival.sourceforge.net/
*)

{$IFDEF FPC}
    {$mode objfpc}
{$ENDIF}

Unit cmsg;


Interface

function LoadCPErrList: boolean;
procedure UnloadCPErrList;
function ErrorMessage (N: integer): string;

var
    cmsgError: string;

Implementation

Uses
    Classes, SysUtils;

const
    PATH_TO_ERRORS = 'cperrors.msg';

var
    Errors: TStringList;
    isErr: boolean;

function ErrorMessage (N: integer): string;
begin
    Result := Errors.Values[IntToStr(N)]
end;

function LoadCPErrList: boolean;
begin
    isErr := FALSE;
    Errors := TStringList.Create;
    try
        Errors.LoadFromFile (PATH_TO_ERRORS);
        Errors.NameValueSeparator := #9
    except
        isErr := TRUE;
        cmsgError := Format ('Error: cannot open file "%s".', [PATH_TO_ERRORS])
    end;
    Result := Not isErr
end;

procedure UnloadCPErrList;
begin
    Errors.Free
end;

end.
