(*
    Project: Component Pascal command-line compiler
    Organization: Oberon Revival team
    License: BSD style license
    References: http://oberonrevivalsourceforge.net/
*)

{$IFDEF FPC}
    {$mode delphi}
    {$smartlink on}
{$ENDIF}

Unit prj;

Interface

type
    TMode = (ModeNone, ModeDll, ModeDynDll, ModeExe);
    TProject = record
        Name,
        Module,
        CompilerOptions,
        LinkedMods,
        LinkerMode,
        OutputFile: AnsiString
    end;

    function ReadProject (filename: string; var Project: TProject): integer;

Implementation

Uses inifiles;

function ReadProject (filename: string; var Project: TProject): integer;
var
    Ini: TIniFile;
begin
    Result := -1;
    Ini := TIniFile.Create (filename);
    Project.Name := Ini.ReadString('Project', 'ProjectName', '');
    Project.Module := Ini.ReadString('Compiler', 'Module', '');
    Project.CompilerOptions := Ini.ReadString('Compiler', 'CompilerOptions', '');
    Project.LinkedMods := Ini.ReadString('Linker', 'LinkedMods', '');
    Project.LinkerMode := Ini.ReadString('Linker', 'LinkerMode', 'Dll');
    Project.OutputFile := Ini.ReadString('Linker', 'OutputFile', '');
    Ini.Free;
    Result := 0
end;

End.
